package org.jeecg.modules.checkData.equipmentCheckData.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
* <p>
    * 检查数据-设备检查记录数据-钢轨伤损情况检查表
    * </p>
*
* @author hkl
* @since 2023-07-09
*/
    @Getter
    @Setter
    @ApiModel(value = "RailWearRecord对象", description = "检查数据-设备检查记录数据-钢轨伤损情况检查表")

public class RailWearRecordDTO {


    private static final long serialVersionUID = 1L;

            @ApiModelProperty("主键")
    private String id;

            @ApiModelProperty("创建人")
    private String createBy;

            @ApiModelProperty("创建日期")
    private Date createTime;

            @ApiModelProperty("更新人")
    private String updateBy;

            @ApiModelProperty("更新时间")
    private Date updateTime;

            @ApiModelProperty("设备检查记录主表id")
    private String recordsMasterCheckId;

            @ApiModelProperty("钢轨轨型")
    private String railType;

            @ApiModelProperty("线别Id")
    private String lineAliasId;

            @ApiModelProperty("线别名称")
    private String lineAliasName;

            @ApiModelProperty("左股仪器编码")
    private String leftFemoralApparatusCode;

            @ApiModelProperty("左股仪器")
    private String leftFemoralApparatus;

            @ApiModelProperty("右股仪器编码")
    private String rightFemoralApparatusCode;

            @ApiModelProperty("右股仪器")
    private String rightFemoralApparatus;

            @ApiModelProperty("是否删除（0：未删除，1：已删除）")
    private String delFlag;


}
